/*  This file is part of Tapir.

    Tapir is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Tapir is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Tapir; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package net.elvum.tapir;
import java.util.Date;
import javax.sound.sampled.*;
import java.nio.*;
import java.io.*;

class Tapir {
	public static void main(String[] args){
		if (args.length != 2) {
			printUsage();
			System.exit(2);
		}
	
		QPSKModulator mod = new QPSKModulator(44100, 0.04F, 0.01F);
		SymbolStream2bps symbolStream = new SymbolStream2bps(mod, args[0]);
		FileWriter OutFile = new FileWriter(args[1]); //default settings
	
//		short [] symbol;
//		short [] guardInterval = mod.createGuardInterval();
//		symbol = mod.createSymbol(1,0);
	
//		OutFile.write(symbol);
//		OutFile.write(guardInterval);

		OutFile.write(symbolStream);	
		
		System.exit(0);
	}

	private static void printUsage() {
		System.out.println("Usage: java -jar Tapir.jar input_file output_file");
		System.out.println("where input_file is the file to be modulated");
		System.out.println("and output_file is the file in which to store the modulated data.");
	}

}
